<template>
  <q-page padding>
    <div>
      <q-toolbar class="bg-orange text-white shadow-2 rounded-borders">
        Experiencias: &nbsp;
        <span>
          {{ experiencia?.nombre }}
        </span>
        <q-space />
        <div class="q-gutter-xs">
          <q-btn
            flat
            dense
            icon="arrow_back_ios_new"
            :to="'/formacion/experiencias/detalle/' + uuid"
            label="Atras"
          />
        </div>
      </q-toolbar>
      <div class="row">
        <div class="col-md col-xs-12">
          <q-list dense padding>
            <q-item>
              <q-item-section>Fecha Dictado: </q-item-section>
              <q-item-section side>
                {{ $filters.Date(experiencia?.fecha) }}
              </q-item-section>
            </q-item>
          </q-list>
        </div>
        <div class="col-md col-xs-12">
          <q-list dense padding>
            <q-item>
              <q-item-section>| Responsable: </q-item-section>
              <q-item-section side>
                {{ experiencia?.responsable }}
              </q-item-section>
            </q-item>
          </q-list>
        </div>
        <div class="col-md col-xs-12">
          <q-list dense padding>
            <q-item>
              <q-item-section>| Organismo: </q-item-section>
              <q-item-section side>
                {{ experiencia?.organismo.organismo }}
              </q-item-section>
            </q-item>
          </q-list>
        </div>
      </div>
    </div>

    <div class="row q-col-gutter-sm">
      <div class="col-12">
        <EdicionMasivaParticipantes :experiencia="experiencia" />
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { AxiosResponse } from 'axios';
import { api } from 'src/boot/axios/index';
import { defineComponent, ref, onMounted } from 'vue';
import { useRoute } from 'vue-router';
import EdicionMasivaParticipantes from './_EdicionMasivaParticipantesPartial.vue';
export default defineComponent({
  name: 'ExperienciasPage',
  components: { EdicionMasivaParticipantes },
  setup() {
    const route = useRoute();
    const uuid = <string>route.params.uuid;

    onMounted(() => {
      getExperiencia();
    });

    const experiencia = ref();

    function getExperiencia() {
      api
        .get('/api/formacion/cursos/' + uuid)
        .then((response: AxiosResponse) => {
          experiencia.value = response.data;
        });
    }

    return {
      uuid,
      experiencia,
    };
  },
});
</script>
0
